<template>
  <div class="todo-item-wrapper">
    <h4 class="todo-item-title">
      {{item.title}}
    </h4>
    <div class="buttons-wrapper">
      <action-todo-button :placeholder="'edit'" :id="id" :action="'edit'"></action-todo-button>
      <action-todo-button :placeholder="'delete'" :id="id" :action="'delete'"></action-todo-button>
    </div>
    <ul class="todo-item-tasks">
      <li v-for="(task, index) in cutTodos" :key="'task-' + index" :class="{'ready-item' : task.check}">
        {{task.name}}
      </li>
    </ul>
  </div>
</template>

<script>
  import ActionTodoButton from "../buttons/actionTodoButton";
  export default {
    name: "todoItem",
    components: {ActionTodoButton},
    //Item structure = {title,items[{name,check}]}
    props: ['item','id'],
    computed: {
      //Return maximum of 3 todos in one task
      cutTodos () {
        return this.item.items.slice(0,3)
      }
    }
  }
</script>

<style lang="scss" scoped>
  .buttons-wrapper {
    position: absolute;
    top: 22px;
    right: 10px;
  }
  .ready-item {
    text-decoration: line-through;
  }
  .todo-item-wrapper {
    min-height: 80px;
    position: relative;
    margin: 0 0 10px 0;
    padding: 10px;
    border: 1px solid #333333;
    border-radius: 5px;
    -o-border-radius: 5px;
    -moz-border-radius: 5px;
    -webkit-border-radius: 5px;
    -ms-border-radius: 5px;
    -webkit-box-shadow: 0px 5px 5px -2px rgba(0,0,0,0.75);
    -moz-box-shadow: 0px 5px 5px -2px rgba(0,0,0,0.75);
    box-shadow: 0px 5px 5px -2px rgba(0,0,0,0.75);
  }
  /*Some small responsiveness*/
  /* 450px */
  @media only screen and (max-width: 450px){
    .buttons-wrapper {
      position: static;
      top: 0;
      text-align: center;
      right: 0;
    }
  }
</style>